SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Oracle Java SE Vendors:   Oracle, Sun
(Red Hat Issues Fix) Oracle Java SE Multiple Flaws Let Remote Users Execute Arbitrary Code and Deny Service
SecurityTracker Alert ID:  1027502
SecurityTracker URL:  http://securitytracker.com/id/1027502
CVE Reference:   CVE-2012-1713, CVE-2012-1716, CVE-2012-1717, CVE-2012-1718, CVE-2012-1719, CVE-2012-1721, CVE-2012-1722, CVE-2012-1725   (Links to External Site)
Date:  Sep 6 2012
Impact:   Denial of service via network, Disclosure of user information, Execution of arbitrary code via network, Modification of user information, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.4.2_37 and prior, 5.0 Update 35 and prior, 6 Update 32 and prior, 7 Update 4 and prior
Description:   Multiple vulnerabilities were reported in Oracle Java SE. A remote user can execute arbitrary code on the target system. A remote user can cause denial of service conditions. A local user can partially access and modify data and partially deny service on the target system.

A remote user can send specially crafted data to execute arbitrary code on the target system or cause complete denial of service conditions. The 2D [CVE-2012-1713], Deployment [CVE-2012-1721, CVE-2012-1722], Hotspot [CVE-2012-1723, CVE-2012-1725], and Swing [CVE-2012-1716] components are affected.

A remote user can partially access and modify data and partially deny service on the target system [CVE-2012-1711]. The CORBA component is affected.

A remote user can partially access and modify data on the target system [CVE-2012-1726]. The Libraries component is affected.

A remote user can partially modify data on the target system [CVE-2012-1719]. The CORBA component is affected.

A remote user can partially deny service on the target system. The JAXP [CVE-2012-1724] and security [CVE-2012-1718] components are affected.

A local user can partially access and modify data and partially deny service on the target system [CVE-2012-1720]. The Networking component is affected.

A local user can partially access data on the target system [CVE-2012-1717].

The following researchers reported these vulnerabilities:

Adam Gowdiak of Security Explorations; Andrei Costin via Secunia; Chris Ries via TippingPoint; and Clayton Smith of Entrust.

Impact:   A remote user can execute arbitrary code on the target system.

A remote user can cause denial of service conditions.

A local user can partially access and modify data and partially deny service on the target system.

Solution:   Red Hat has issued a fix for Red Hat has issued a fix for java-1.6.0-ibm for CVE-2012-1713, CVE-2012-1716, CVE-2012-1717, CVE-2012-1718, CVE-2012-1719, CVE-2012-1721, CVE-2012-1722, and CVE-2012-1725.

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2012-1238.html

Vendor URL:  www.oracle.com/technetwork/topics/security/javacpujun2012-1515912.html (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  5, 6

Message History:   This archive entry is a follow-up to the message listed below.
Jun 12 2012 Oracle Java SE Multiple Flaws Let Remote Users Execute Arbitrary Code and Deny Service



 Source Message Contents

Subject:  [RHSA-2012:1238-01] Critical: java-1.6.0-ibm security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Critical: java-1.6.0-ibm security update
Advisory ID:       RHSA-2012:1238-01
Product:           Red Hat Enterprise Linux Extras
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2012-1238.html
Issue date:        2012-09-06
CVE Names:         CVE-2012-0551 CVE-2012-1713 CVE-2012-1716 
                   CVE-2012-1717 CVE-2012-1718 CVE-2012-1719 
                   CVE-2012-1721 CVE-2012-1722 CVE-2012-1725 
=====================================================================

1. Summary:

Updated java-1.6.0-ibm packages that fix several security issues are now
available for Red Hat Enterprise Linux 5 and 6 Supplementary.

The Red Hat Security Response Team has rated this update as having critical
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Desktop Supplementary (v. 5) - i386, x86_64
Red Hat Enterprise Linux Desktop Supplementary (v. 6) - i386, x86_64
Red Hat Enterprise Linux HPC Node Supplementary (v. 6) - x86_64
Red Hat Enterprise Linux Server Supplementary (v. 5) - i386, ppc, s390x, x86_64
Red Hat Enterprise Linux Server Supplementary (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation Supplementary (v. 6) - i386, x86_64

3. Description:

IBM Java SE version 6 includes the IBM Java Runtime Environment and the IBM
Java Software Development Kit.

This update fixes several vulnerabilities in the IBM Java Runtime
Environment and the IBM Java Software Development Kit. Detailed
vulnerability descriptions are linked from the IBM Security alerts page,
listed in the References section. (CVE-2012-0551, CVE-2012-1713,
CVE-2012-1716, CVE-2012-1717, CVE-2012-1718, CVE-2012-1719, CVE-2012-1721,
CVE-2012-1722, CVE-2012-1725)

All users of java-1.6.0-ibm are advised to upgrade to these updated
packages, containing the IBM Java SE 6 SR11 release. All running instances
of IBM Java must be restarted for the update to take effect.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/knowledge/articles/11258

5. Bugs fixed (http://bugzilla.redhat.com/):

829358 - CVE-2012-1717 OpenJDK: insecure temporary file permissions (JRE, 7143606)
829360 - CVE-2012-1716 OpenJDK: SynthLookAndFeel application context bypass (Swing, 7143614)
829361 - CVE-2012-1713 OpenJDK: fontmanager layout lookup code memory corruption (2D, 7143617)
829371 - CVE-2012-1719 OpenJDK: mutable repository identifiers in generated stub code (CORBA, 7143851)
829372 - CVE-2012-1718 OpenJDK: CRL and certificate extensions handling improvements (Security, 7143872)
829376 - CVE-2012-1725 OpenJDK: insufficient invokespecial <init> verification (HotSpot, 7160757)
831353 - CVE-2012-1721 Oracle JDK: unspecified vulnerability fixed in 6u33 and 7u5 (Deployment)
831354 - CVE-2012-1722 Oracle JDK: unspecified vulnerability fixed in 6u33 and 7u5 (Deployment)
831355 - CVE-2012-0551 Oracle JDK: unspecified vulnerability fixed in 6u33 and 7u5 (Deployment)

6. Package List:

Red Hat Enterprise Linux Desktop Supplementary (v. 5):

i386:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-accessibility-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.i386.rpm

x86_64:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-accessibility-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm

Red Hat Enterprise Linux Server Supplementary (v. 5):

i386:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-accessibility-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.i386.rpm

ppc:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.ppc64.rpm
java-1.6.0-ibm-accessibility-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.ppc64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.ppc64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.ppc64.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.ppc64.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.ppc.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.ppc64.rpm

s390x:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.s390.rpm
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.s390x.rpm
java-1.6.0-ibm-accessibility-1.6.0.11.0-1jpp.1.el5_8.s390x.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.s390.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.s390x.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.s390.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.s390x.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.s390.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.s390x.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.s390.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.s390x.rpm

x86_64:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-accessibility-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.i386.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el5_8.x86_64.rpm

Red Hat Enterprise Linux Desktop Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.i686.rpm

x86_64:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm

Red Hat Enterprise Linux HPC Node Supplementary (v. 6):

x86_64:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm

Red Hat Enterprise Linux Server Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.i686.rpm

ppc64:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.ppc64.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.ppc64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.ppc.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.ppc64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.ppc64.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.ppc64.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.ppc64.rpm

s390x:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.s390x.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.s390x.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.s390.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.s390x.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.s390x.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.s390x.rpm

x86_64:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm

Red Hat Enterprise Linux Workstation Supplementary (v. 6):

i386:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.i686.rpm

x86_64:
java-1.6.0-ibm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-demo-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.i686.rpm
java-1.6.0-ibm-devel-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-javacomm-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-jdbc-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-plugin-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm
java-1.6.0-ibm-src-1.6.0.11.0-1jpp.1.el6_3.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2012-0551.html
https://www.redhat.com/security/data/cve/CVE-2012-1713.html
https://www.redhat.com/security/data/cve/CVE-2012-1716.html
https://www.redhat.com/security/data/cve/CVE-2012-1717.html
https://www.redhat.com/security/data/cve/CVE-2012-1718.html
https://www.redhat.com/security/data/cve/CVE-2012-1719.html
https://www.redhat.com/security/data/cve/CVE-2012-1721.html
https://www.redhat.com/security/data/cve/CVE-2012-1722.html
https://www.redhat.com/security/data/cve/CVE-2012-1725.html
https://access.redhat.com/security/updates/classification/#critical
https://www.ibm.com/developerworks/java/jdk/alerts/

8. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFQSMw4XlSAg2UNWIIRAshKAJ49SpnZkzi3qYDcliO3TJKzvAplQACgrwFW
2JWskMzQ+QkQ0agc+HQAbwo=
=LO3L
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC